<form [formGroup]="form" autocomplete="off" novalidate>
    <fieldset>
    <section class="form-block">
        <!--<label>Form Inside a Grid</label>-->
        <div class="form-group row">
            <div class="col-lg-2 col-md-12 col-sm-12 col-xs-12">
                <label for="gForm_1" class="required">Title</label>
            </div>
            <div class="col-lg-10 col-md-10 col-sm-12 col-xs-12">
                <label for="gForm_1" aria-haspopup="true" role="tooltip" [ngClass]="{'tooltip tooltip-validation invalid tooltip-sm' : isErrorVisible('title','required')}">
                    <input formControlName="title" required class="form-control" type="text" id="gForm_1" placeholder="Enter title here" size="45">
                    <span class="tooltip-content" *ngIf="isErrorVisible('title','required')">
                        This field cannot be empty!
                    </span>
                </label>
            </div>
        </div>
        <div class="form-group row">
            <div class="col-lg-2 col-md-12 col-sm-12 col-xs-12">
                <label for="gForm_2">DateTime</label>
            </div>
            <div class="col-lg-10 col-md-10 col-sm-12 col-xs-12">
                <input formControlName="timestamp" type="datetime-local" id="gForm_2" size="35">
            </div>
        </div>
        <div class="form-group row">
            <div class="col-lg-2 col-md-12 col-sm-12 col-xs-12">
                <label for="gForm_3">Address</label>
            </div>
            <div class="col-lg-10 col-md-10 col-sm-12 col-xs-12">
                <input formControlName="locationAddress" class="form-control" type="text" id="gForm_3" placeholder="Enter address here" size="45">
            </div>
        </div>


        <div class="form-group row">
            <div class="col-lg-2 col-md-12 col-sm-12 col-xs-12">
                <label>Manual insert</label>
            </div>
            <div class="col-lg-2 col-md-3 col-sm-12 col-xs-12">
                <div class="toggle-switch">
                    <input type="checkbox" id="gForm_8" [checked]="manual" (change)="manual = !manual" >
                    <label for="gForm_8">Toggle</label>
                </div>
            </div>
        </div>

        <span *ngIf="manual">
        <div class="form-group row">
            <div class="col-lg-2 col-md-12 col-sm-12 col-xs-12">
                <label for="gForm_4">Lat. Long.</label>
            </div>
            <div class="col-lg-5 col-md-5 col-sm-12 col-xs-12">
                <input formControlName="locationLat" class="form-control" type="text" id="gForm_4" placeholder="Enter Latitude here" size="45">
            </div>
            <div class="col-lg-5 col-md-5 col-sm-12 col-xs-12">
                <input formControlName="locationLong" class="form-control" type="password" id="gForm_5" placeholder="Enter Longitude here" size="35">
            </div>
        </div>
        <div class="form-group row">
            <div class="col-lg-2 col-md-12 col-sm-12 col-xs-12">
                <label for="gForm_6">Weather Forecast</label>
            </div>
            <div class="col-lg-10 col-md-12 col-sm-12 col-xs-12">
                <textarea formControlName="weatherForecast" id="gForm_6" rows="5" class="form-control"></textarea>
            </div>
        </div>
        </span>
    </section>
    </fieldset>
</form>
